Bug 187095 - fonts.conf doesn't have 100dpi, 75dpi, TTF and misc directorys.
fonts.conf doesn't have 100dpi, 75dpi, TTF and misc directorys.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-28 09:10 EST by sangu
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-25 21:43:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2006-03-28 09:10:35 EST
Description of problem:
fonts.conf doesn't have 100dpi, 75dpi, TTF and misc diretorys in
/usr/share/X11/fonts. Only Type1 and OTF diretorys exist in /usr/share/X11/fonts.

$cat /etc/fonts/fonts.conf 
[...]
<!-- Font directory list -->
        <dir>/usr/share/fonts</dir>
        <dir>/usr/share/X11/fonts/Type1</dir> <dir>/usr/share/X11/fonts/OTF</dir>
        <dir>~/.fonts</dir>
[...]


Version-Release number of selected component (if applicable):
fontconfig-2.3.94-1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
xorg-x11-fonts-ISO8859-15-100dpi-7.0-3
xorg-x11-fonts-100dpi-7.0-3
xorg-x11-fonts-ISO8859-1-100dpi-7.0-3
xorg-x11-fonts-ISO8859-9-100dpi-7.0-3
xorg-x11-fonts-ISO8859-14-100dpi-7.0-3
xorg-x11-fonts-ISO8859-2-100dpi-7.0-3
xorg-x11-fonts-ISO8859-1-75dpi-7.0-3
xorg-x11-fonts-75dpi-7.0-3
xorg-x11-fonts-ISO8859-14-75dpi-7.0-3
xorg-x11-fonts-ISO8859-9-75dpi-7.0-3
xorg-x11-fonts-ISO8859-15-75dpi-7.0-3
xorg-x11-fonts-ISO8859-2-75dpi-7.0-3

This packages doesn't use fc-cache in rpm install scripts.

But

xorg-x11-fonts-truetype-7.0-3
xorg-x11-fonts-misc-7.0-3
xorg-x11-fonts-base-7.0-3

This packages use fc-cache command in rpm install scripts.
Comment 2 Behdad Esfahbod 2007-10-25 21:43:57 EDT
I've changed OTF to TTF.  Not including bitmap fonts is intentional, yes.

Note You need to log in before you can comment on or make changes to this bug.